
#include <stdio.h>
#include <math.h>


static void
circle1 (float t, float* out)
{
	out[0] = t * sinf (t);
	out[1] = t * cosf (t);
}

static void
circle2 (float t, float* out)
{
	out[0] = t * sinf (t+M_PI/2.0);
	out[1] = t * cosf (t+M_PI/2.0);
}

int
main (int argc, char* argv[])
{
	float t;
	float xy[2];
	int one_samples = 0;
	int two_samples = 0;

	for (t = 0.1 ; t < 4.0*M_PI ; t += 0.1) {
		circle1 (t, xy);
		printf ("\t{ %f, %f }\n", xy[0], xy[1]);
		one_samples += 1;
	}
	printf ("\n");
	for (t = 0.1 ; t < 4.0*M_PI ; t += 0.1) {
		circle2 (t, xy);
		printf ("\t{%f, %f }\n", xy[0], xy[1]);
		two_samples += 1;
	}

	while (one_samples > 0) {
		printf ("0, ");
		one_samples -= 1;
	}
	while (two_samples > 0) {
		printf ("1, ");
		two_samples -= 1;
	}
}



